states {RJaCGH} | R Documentation

## 'states' method for RJaCGH objects

### Description

Methods for estimating the hidden state sequence of a RJaCGH model.

### Usage

    states(obj, array=NULL, Chrom=NULL, k=NULL)
    ## S3 method for class 'RJaCGH'
    states(obj, array=NULL, Chrom=NULL, k=NULL)

### Arguments

`obj` | any of RJaCGH, RJaCGH.Chrom, RJaCGH.Genome objects
`array` | vector of arrays to get the states from.
`Chrom` | vector of chromosomes to get the states from.
`k` | Model to summarize (i.e., number of hidden states). If NULL, the most visited is taken.

### Details

The posterior probability of the hidden state sequence is computed via viterbi.

The state with more observatios is called 'Normal'. Those with bigger means than it are called 'Gain', 'Gain1'... and those with lesser means are called 'Loss', 'Loss1',...

Depending on the hierarchy of the object, it can return lists with sublists, as in `RJaCGH`.

### Value

`states` | Factor with the hidden state sequence
`prob.states` | Matrix with the probabilities associated to every states for every observation.

### Author(s)

Oscar M. Rueda and Ramon Diaz Uriarte

### References

Rueda OM, Diaz-Uriarte R. Flexible and Accurate Detection of Genomic Copy-Number Changes from aCGH. PLoS Comput Biol. 2007;3(6):e122

### See Also

`RJaCGH`, `summary.RJaCGH`, `modelAveraging`, `plot.RJaCGH`, `trace.plot`,

### Examples

    y <- c(rnorm(100, 0, 1), rnorm(10, -3, 1), rnorm(20, 3, 1), rnorm(100,
    0, 1))
    Pos <- sample(x=1:500, size=230, replace=TRUE)
    Pos <- cumsum(Pos)
    Chrom <- rep(1:23, rep(10, 23))
    jp <- list(sigma.tau.mu=rep(0.05, 4), sigma.tau.sigma.2=rep(0.03, 4),
               sigma.tau.beta=rep(0.07, 4), tau.split.mu=0.1, tau.split.beta=0.1)
    fit.genome <- RJaCGH(y=y, Pos=Pos, Chrom=Chrom, model="Genome",
    burnin=100, TOT=1000, jump.parameters=jp, k.max = 4)
    states(fit.genome)

[Package RJaCGH version 2.0.4 Index]